package proxy

import (
	"log"
	pb "loafle.com/overflow/overflow_api_db/build/golang"
	"google.golang.org/grpc"
	"golang.org/x/net/context"
)

func invokeDB(targetDb, methodName string, param map[string]string) (string) {

	in := &pb.DBInput{}
	in.TargetDao = targetDb
	in.Method = methodName
	in.Param = param

	conn, err := grpc.Dial("192.168.1.105:50006", grpc.WithInsecure())

	if err != nil {
		log.Fatal("Rpc Error: ", err)
	}
	defer conn.Close()

	client := pb.NewDBClient(conn)
	out, err := client.Exec(context.Background(), in)
	if err != nil {
		log.Fatal("Rpc Client Error: ", err)
	}
	log.Print(out)

	return out.Result
}